﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Charts;

namespace xamDataChart_PlotAreaHitTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void xamChart1_MouseMove(object sender, MouseEventArgs e)
        {
            var pt = e.GetPosition(xamChart1);
            var hitResult = xamChart1.InputHitTest(pt) as DependencyObject;
            string title = null;

            if (null != hitResult)
            {
                while (hitResult is ContentElement)
                    hitResult = LogicalTreeHelper.GetParent(hitResult);

                while (hitResult != null && hitResult != xamChart1)
                {
                    if (hitResult is ColumnSeries)
                    {
                        ColumnSeries series = hitResult as ColumnSeries;

                        title = series.ToString();

                        break;
                    }
                    // This border represents the plot area.
                    else if (hitResult is Border)
                    {
                        title = hitResult.ToString();

                        break;
                    }

                    hitResult = VisualTreeHelper.GetParent(hitResult);
                }
            }
            this.Title = title ?? "MainWindow";
        }
    }
}
